List all Entitlements.

Prev Next
Get
/entitlements

List all Entitlements visible to current user.

Security
HTTP
Type bearer
Query parameters
query
string

Query string to filter the result list. It's used for various fields depending on the object type. Send multiple query parameters to make the queries more specific.

range
string

'Range string to limit the result list. Format: -. 3-10 means he items between the (including) 3rd and the 10th will be returned. Defaults to all objects.'

Example0-10
orderBy
string

The field name to sort the result list. Supported fields vary from object to object. Defaults to certain field depending on the object type.

Examplename
descending
string

Whether the sorting is applied descending or ascending. Defaults to certain field depending on the object type.

filterBy

Filters the result list by the given field and value. Supported fields vary from API to API. The filters can be combined with each other as well as the generic query parameter. The given value is checked for inclusion.

object
property*
string additionalProperties
Example{ "name": "us-east", "tags": "aws" }
Responses
200

List of Entitlements.

Expand All
object
range
string

The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned.

Example0-30/54
orderBy
string

The field name used to sort the list.

Examplename
descending
boolean

Whether the sorting is applied descending or ascending.

queries
Array of string

The queries applied to the list.

string
totalCount
integer

The total readable count of entities. Not influenced by the query.

Example328
filterBy
Array of object (FilterBy)

The filters applied to the list.

object
name
string

The field name the filter is applied to.

Examplename
value
string

The value used for comparison.

ExampleAWS
data
Array of object (Entitlement)

List of Entitlements.

object
id
string (uuid)

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
name
string

Name of the object.

Exampleobject
notes
string

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
created
string (date-time)

Create date.

updated
string (date-time)

Last update date.

tags
Array of string

Array of tags.

Example[ "developer", "api-created" ]
string
disabled
boolean

If true, the Entitlement will be disregarded during authorization.

Defaultfalse
site
string (uuid)

ID of the Site for this Entitlement.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
siteName
string

Name of the Site for this Entitlement. For convenience only.

ExampleDefault Site
riskSensitivity
string Deprecated

Generate Conditions for the Entitlement based on the Risk Model. Cannot be combined with other Conditions. Deprecated as of 6.5. Please use Conditions instead.

Valid values[ "Low", "Medium", "High" ]
conditionLogic
string

Whether all the Conditions must succeed to have access to this Entitlement or just one.

Valid values[ "and", "or" ]
Default"and"
conditions
Array of string

List of Condition IDs applies to this Entitlement.

string (uuid)
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
actions
Array of object

List of all IP Access actions in this Entitlement.

object

IP Access action.

subtype
string

Type of the IP Access action. Required unless the action is exclude.

Valid values[ "icmp_up", "icmp_down", "icmpv6_up", "icmpv6_down", "udp_up", "udp_down", "tcp_up", "tcp_down", "ah_up", "ah_down", "esp_up", "esp_down", "gre_up", "gre_down", "http_up" ]
action
string

Applied action to the traffic.

Valid values[ "allow", "block", "alert", "exclude" ]
hosts
Array of string

Hosts to apply the action to. See admin manual for possible values.

Example[ "10.0.0.1", "10.0.0.0/24", "hostname.company.com", "dns://hostname.company.com", "aws://security-group:accounting" ]
string
ports
Array of string

Destination port. Multiple ports can be entered comma separated. Port ranges can be entered dash separated. Only valid for tcp and udp subtypes

Example[ "80", "1024-65535" ]
string
types
Array of string

ICMP type. Only valid for icmp subtypes.

Example[ "0-255" ]
string
methods
Array of string

HTTP method. Only valid for http subtypes. Leave it empty to allow all types.

string
Valid values[ "GET", "HEAD", "POST", "PUT", "DELETE", "CONNECT", "OPTIONS", "TRACE", "PATCH", "MKCOL", "COPY", "MOVE", "PROPFIND", "PROPPATCH", "LOCK", "UNLOCK" ]
monitor
object

Only available for tcp_up and http_up subtypes. If enabled, Gateways will monitor this action for responsiveness and act accordingly. See admin manual for more details.

enabled
boolean
Defaultfalse
timeout
integer

Number of seconds the action needs to be unresponsive to mark the action unhealthy.

Default30
appShortcuts
Array of object (AppShortcut)

Array of App Shortcuts.

object

Publishes the configured URL as an app on the client using the display name as the app name.

name
string

Name for the App Shortcut which will be visible on the Client UI.

ExampleAccounting Software
description
string

Description for the App Shortcut which will be visible on the Client UI.

ExampleThis app will get you to the Accounting Software.
url
string

The URL that will be triggered on the OS to be handled. For example, an HTTPS URL will start the browser for the given URL.

Examplehttps://service.company.com
colorCode
integer

The code of the published app on the client.

  • 1: Light Green
  • 2: Green
  • 3: Indigo
  • 4: Deep Purple
  • 5: Yellow
  • 6: Lime
  • 7: Light Blue
  • 8: Blue
  • 9: Amber
  • 10: Orange
  • 11: Cyan
  • 12: Teal
  • 13: Deep Orange
  • 14: Red
  • 15: Gray
  • 16: Brown
  • 17: Pink
  • 18: Purple
  • 19: Blue Gray
  • 20: Near Black
Default1
groupName
string

The group name this shortcut is to be grouped by

ExampleAccounting Applications
appShortcutScripts
Array of string

List of Entitlement Script IDs used for creating App Shortcuts dynamically.

string (uuid)
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.